<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}
{% load checkLink %}

<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
</script>

{%block body%}
<main class="home-body flex-fill">
    <h1>Relative's Information</h1>
    <br>
    <div class="card-header border-0 bg-white text-center">
        {%if object.avatar_url%}
                <figure class="home_profile_image"><img class="home_profile_actual_image" src="data:image/jpeg;base64,{{object.avatar_url|base64Images}}" width="150px"></figure>
        {%elif object.avatar%}
                <figure class="home_profile_image"><img class="home_profile_actual_image" src="{{object.avatar.url}}" width="150px" height="150px"></figure>
        {%else%}
        <figure class="home_profile_image"><img class="home_profile_actual_image"
                src="{%static '/image/default-avatar.png' %}" width="150px" height="150px"></figure>
        {%endif%}
    </div>
    <br>
    <div class="card-block px-2" style="font-size: 20px;">
        <p><span style="font-weight: bold;">Full Name:</span> {{object.first_name}} {{object.last_name}}</p>
        <p><span style="font-weight: bold;">Relation: </span>{{object.get_relation_display}}</p>
        <p><span style="font-weight: bold;">Birthday: </span>{{object.birthday}}</p>
        <p><span style="font-weight: bold;">Twitter: </span><a href = "https://twitter.com/{{twitter_handle}}" target="_blank" >{{twitter_handle|default:"None"}}</a></p>
        <p><span style="font-weight: bold;">Instagram: </span><a href = "https://www.instagram.com/{{instagram_handle}}/" target="_blank" >{{instagram_handle|default:"None"}}</a></p>
        <p><span style="font-weight: bold;">Facebook: </span>{{object.facebook_id}}</p>
        <br>
        <div class="text-center">
            <a href="{%url 'relative-update' pk=object.pk%}" class="btn button-primary">Edit Information</a>
            <a href="{%url 'relative-delete' pk=object.pk%}" class="btn btn-danger">Delete Relative</a>
        </div>
        
    </div>
</main>
{% endblock %}
